CWatch Class Referenceabstract
Uncategorized

A class for measuring time. More...

`#include <mia/core/watch.hh>`

## Public Member Functions

double | get_seconds () const

## Static Public Member Functions

static const CWatch & | instance ()

## Protected Member Functions

| CWatch ()

## Detailed Description

A class for measuring time.

This is a class to measure the process run-time time with millisecond accuracy.

Remarks
  On WIN32 this class is currently a fake that always returns 0.0;

Definition at line 37 of file watch.hh.

## Constructor & Destructor Documentation

## CWatch()

CWatch::CWatch | ( |  | ) |

protected

References CWatch().

Referenced by CWatch(), and instance().

## Member Function Documentation

## get_seconds()

double CWatch::get_seconds | ( |  | ) | const

Returns
  get the current time value

## instance()

const CWatch & CWatch::instance | ( |  | ) |

static

References CWatch().

The documentation for this class was generated from the following file:

- watch.hh